.LEFT MARGIN
.ifnot hlp
.hl 1 Tab Stops
.endif hlp
.if hlp.i-1;3 TAB
.br
.endif hlp
Lists of items may be conveniently expressed in tabular form using the tab key
and the _.TAB STOPS command.  Every time you press the "tab" key you have
entered a tab into the text. Just as on a typewriter a tab will make the text
begin at the next tab stop. The tab stops are set using the _.TAB STOPS
command.  You can right justify or center justify the items by using the _.TAB
RIGHT command.  When tabbing it is suggested that you use the _.NO JUSTIFY
command or the _.NO FILL command.  Having justification on will either give
you error messages, or cause unpredictable results. Remember that tab stops to
the left of the left margin are not effective. You should also _.DISABLE
HYPHENATION when using the tab feature. You may wish to set up a list of items
to go into regular columns, but where any item could go into any column.  This
can be achieved by putting a "tab" at the end of each item, and setting the
left margin to the first column, with _.FILL _.NO JUSTIFY. 
.LEFT MARGIN +5
.if hlp
.if RSX
.i5;ADDITIONAL HELP AVAILABLE:
.ts+10,+10,+10,+10,+10,+10
.NJ;STOPS	PROPORTIONAL	RIGHT	LEFT	
ExA	ExB	ExC	ExD	note
.J
.endif RSX
.i-6;4 STOPS
.br
.endif hlp
.bb
.s.i-5;  _.TAB STOPS [+n1],[+n2], . . .  ,[+n32]
.i-5; _.TS [+n1],[+n2], . . . ,[+n32]
.eb
.s.x TAB>STOPS 
sets tab stops. The n must be listed in ascending order. 
The value of a tab stop (n) must be between 1 to 255.
This command clears all previous tabs before setting new ones. 
Up to 32 tab stops may be specified.
.bb
If a tab stop is +n then it will be n more than the previous one.
If the first stop is +n then it will be n more than the left margin.
.br;(+- tab stops are defined differently in DSR)
.br;For example:
.i5;_.TAB STOPS +5,+10,+10,+10,+10
.br;Sets up a series of stops every 10 columns with the first one 5 from
the left margin.
.i5;_.TAB STOPS 10,20,30,40,50
.br;Also sets up a series of stops every 10 columns, but the first stop is not
necessarily 10 from the left margin.
.eb
If you do not set your tab stops they are already set to 8 column 
intervals to match the Digital hardware standard. This is equivalent to:
.i5;_.TAB STOPS 8,16,24,32,40,48,56,64,72,80
.bb
.if hlp .i-6;4 PROPORTIONAL
.endif hlp
.s.tp5.i-5;_.TAB PROPORTIONAL n,[+-n1],[+-n2],,,
.i-5;_.TABP n,[+-n1],[+-n2],,,
.s.x TAB>PROPORTIONAL
This sets tab stops to create n columns across a page between the left and
right margins. The first column begins at the left margin and ends at the
first tab stop. The second column begins at the first tab stop and ends at the
second one. The last one ends at the right margin. n must be 2 or larger. Tab
stops are set so that all unspecified columns have equal width. You specify
column 1 by specifying n1, column 2 by n2 and so on. When you omit a column it
is unspecified. If you specify a column as either + or -n then it is n larger
or smaller than the unspecified ones.  Using + or - you may increase or
decrease each column width from an evenly spaced one.  A column width may
not exceed 127. The actual number of tab stops set up is n-1.  So if you want
3 columns only 2 tab stops are set up. 
.br;(Not available in DSR)
.if hlp
.if RSX.i5;ADDITIONAL HELP AVAILABLE: example
.endif rsx
.rm-2.i-6;5 example
.endif hlp
.s
For example you wish to set up 7
columns with 10 spaces in the second column, and 5 spaces in the 6'th column: 
.i5;_.TAB PROPORTIONAL 7,,10,,,,5
.br;Another example is to set up 7 columns with the first and last only
5 spaces wide to allow for indeted columns:
.i5;_.TAB PROPORTIONAL 7,5,,,,,,5
.br;This last example is a typical setup for a table.
Now if you set up your table and after looking at the result you
need to increase column 2 by 2 spaces
and decrease column 4 by 1 space you use:
.i5;_.TAB PROPORTIONAL 7,5,+2,,-1,,,5
.s;When this command is used all previously specified tab stops are
cleared.  This command is normally used instead of _.TAB STOPS for
evenly proportioning your columns.
.eb
.if hlp;.i-6;4 LEFT
.rm
.endif hlp
.s.tp5.i-5; _.TAB LEFT
.i-5; _.TL
.s.x TAB>LEFT
This sets the tabs to the normal action of left justifying the
text on the next tab stop. If you do not specify either _.TAB LEFT or RIGHT
then _.TAB LEFT is assumed.
The following example illustrates the _.TAB LEFT command.
You type in the following text.
.s.lm+5.ts +8,+8,+8,+8,+8 .literal
.NO FILL .TAB STOPS 10,20,30,40 .TAB LEFT
12345678901234567890123456789012345678901234567890
NAME	Jan	Feb	Mar	April
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.end literal
.s.i-5; Which produces the following text:
.s.NO FILL .TAB STOPS +10+10,+10,+10 .TAB LEFT
12345678901234567890123456789012345678901234567890
NAME	Jan	Feb	Mar	April
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.fill.lm-5.end text.tab left
.br;(Not available in DSR)
.if hlp;.i-6;4 RIGHT
.br
.endif hlp
.S.TP5.I-5; _.TAB RIGHT
.i-5; _.TR
.S.X TAB>RIGHT
This causes the text following a tab to be right justified. This command is
the opposite of _.TAB LEFT.  The text is
right justified at the next tab terminator.  The text is considered to be
terminated by either a space, tab, end of line, break character, or autobreak
character.  If the break character
is used to define the right side of the text, then the _.FLAGS BREAK command
must be issued. This allows typing tables with the text right justified,
or with an arbitrary point (defined by the break) lined up.
_.TAB RIGHT and _.TAB LEFT form a pair of commands which pick the tab option.
Either you right or you left justify, not both.
.br;(Not available in DSR)
.if hlp
.i-6;4 ExA
.br
.endif hlp
.p.text
The first example of this is listing a column of figures right justified.
You type in the following text.
.s.lm+5.tab stops +8,+8,+8,+8,+8 .literal
.NO FILL .TAB STOPS 20,30,40,50,60 .TAB RIGHT
12345678901234567890123456789012345678901234567890
NAME	Jan	Feb	Mar	April
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.end literal
.s.i-5; Which produces the following text:
.s.NO FILL .TAB STOPS +20,+10,+10,+10 .TAB RIGHT
12345678901234567890123456789012345678901234567890
NAME	Jan	Feb	Mar	April
Jones	152.75	0.00	3.78	1000.50
Smith	4.95	300.22	5.75	54.95
.p.fill.lm-5.tx.tab left
.if hlp;.i-6;4 ExB
.br
.endif hlp
The second example is columns of figures lined up along the
decimal points using the break flag.  You input the following lines:
.s.lm+5
.ts +8,+8,+8,+8,+8 .lt
.NO FILL .FLAGS BREAK .TAB STOPS +10,+10,+10,+10 .TAB RIGHT
12345678901234567890123456789012345678901234567890
	1|.23	3|.1415	75|.2
	789|.0	55|.2	100|.98765
.EL
.s.I-5; Which produces the following text.
.S.NO FILL .FLAGS BREAK .TAB STOPS +10,+10,+10,+10 .TAB RIGHT
12345678901234567890123456789012345678901234567890
	1|.23	3|.1415	75|.2
	789|.0	55|.2	100|.98765
.end text
.s.FILL.LM -5 .tab left.nfl break
.if hlp;.i-6;4 ExC
.br
.endif hlp
Here is another way of lining up decimal points using autobreak!
.s.lm+5
.ts +8,+8,+8,+8,+8 .literal
.NO FILL .FLAGS BREAK 
.TAB STOPS 10,20,30,40 .TAB RIGHT .AUTOBREAK "."
12345678901234567890123456789012345678901234567890
	1.23	3.1415	75.2
	789.0	55.2	100.98765
.END LITERAL
.s.I-5; Which produces the following text.
.S.NO FILL .FLAGS BREAK .TAB STOPS +10,+10,+10,+10 .TAB RIGHT .AUTOBREAK "."
12345678901234567890123456789012345678901234567890
	1.23	3.1415	75.2
	789.0	55.2	100.98765
.nab "." .FILL.LM -5 .tab left.nfl break
.text
.s
.if hlp;.i-6;4 ExD
.br
.endif hlp
Here is an example of centered justifying using the break flag.
This illustrates both use of the break flag and _.TAB PROPORTIONAL
The following text:
.nf.s.ts +8,+8,+8,+8,+8
_.tabp 5,7,,,,7 .tr .fl break .nf
123456789012345678901234567890123456789012345678901234567890
	Ma|ry	Prun|ella	Ev|e	Su|e
	Ther|esa	Sad|ie	Hel|en	Agripi|nella
Produces:
.tabp 5,7,,,,7 .tr .fl break .nf
123456789012345678901234567890123456789012345678901234567890
	Ma|ry	Prun|ella	E|ve	S|ue
	The|resa	Sa|die	He|len	Agrip|inella
.FILL .tab left.nfl break
.etx
.if hlp;.i-6;4 note
.endif hlp
.NOTE
When setting up tab stops you must do it like a Chinese menu.  You pick 1
item from each column.  Use _.TAB RIGHT or _.TAB LEFT.  Use
_.TAB STOPS or _.TAB PROPORTIONAL.  Either use _.ELLIPSES or _.NO 
ELLIPSES.  You should be aware the _.FLAGS BREAK and _.AUTOBREAK
do nothing if you _.TAB LEFT.
.en
.if hlp;.i-6;3 ELLIPSES
.endif hlp
.s.tp4.i-5; _.ELLIPSES
.i-5; _.ELL
.s.x ELLIPSES
causes tabbed text to be filled with ellipses rather than spaces.  In other
words if you tab and this feature is enabled the text will be padded by
ellipses (#.#.#.#.) rather than spaces between tab stops.
.br;(Not available in DSR)
.s.tp3.i-5; _.NO ELLIPSES
.i-5; _.NELL
.s.x NO>ELLIPSES
turns off the ELLIPSES feature.  This is the default.
.if hlp
.if rsx .I5;ADDITIONAL HELP AVAILABLE: example
.endif rsx
.i-6;4 example
.endif hlp
.s; For example you type in the following text:
.s.lm+5.ts +8,+8,+8,+8,+8 .literal
.NO FILL .TAB STOPS +15,+13,+13,+13 .TAB RIGHT
12345678901234567890123456789012345678901234567890
NAME	Jan	Feb	Mar
.ELLIPSES
Jones	152.75	0.00	3.78
Smith	4.95	300.22	5.75
.end literal
.s.i-5; Which produces the following text:
.s.NO FILL .TAB STOPS +15,+13,+13,+13 .TR
12345678901234567890123456789012345678901234567890
NAME	Jan	Feb	Mar
.ell .ELLIPSES
Jones	152.75	0.00	3.78
Smith	4.95	300.22	5.75
.nell .no ellipses .tl .fill.lm-5
